#ifndef __GST_POLYPMIXERTRACK_H__
#define __GST_POLYPMIXERTRACK_H__

/* $Id: polypmixertrack.h 19 2006-05-10 23:59:56Z lennart $ */

/***
  This file is part of gst-polyp.
 
  gst-polyp is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2.1 of the
  License, or (at your option) any later version.
 
  gst-polyp is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with gst-polyp; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
***/

#include <gst/gst.h>

#include "polypmixerctrl.h"

G_BEGIN_DECLS

#define GST_TYPE_POLYPMIXER_TRACK \
  (gst_polypmixer_track_get_type())
#define GST_POLYPMIXER_TRACK(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj), GST_TYPE_POLYPMIXER_TRACK, GstPolypMixerTrack))
#define GST_POLYPMIXER_TRACK_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass), GST_TYPE_POLYPMIXER_TRACK, GstPolypMixerTrackClass))
#define GST_IS_POLYPMIXER_TRACK(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj), GST_TYPE_POLYPMIXER_TRACK))
#define GST_IS_POLYPMIXER_TRACK_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_TYPE((klass), GST_TYPE_POLYPMIXER_TRACK))

typedef struct _GstPolypMixerTrack {
    GstMixerTrack parent;
    GstPolypMixerCtrl *control;
} GstPolypMixerTrack;

typedef struct _GstPolypMixerTrackClass {
    GstMixerTrackClass parent;
} GstPolypMixerTrackClass;

GType gst_polypmixer_track_get_type(void);
GstMixerTrack* gst_polypmixer_track_new(GstPolypMixerCtrl *control);

G_END_DECLS

#endif
