#ifndef __GST_POLYPSINK_H__
#define __GST_POLYPSINK_H__

/* $Id: polypsink.h 18 2006-05-09 15:29:27Z lennart $ */

/***
  This file is part of gst-polyp.
 
  gst-polyp is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2.1 of the
  License, or (at your option) any later version.
 
  gst-polyp is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with gst-polyp; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
***/

#include <gst/gst.h>
#include <gst/audio/gstaudiosink.h>

#include <polyp/polypaudio.h>
#include <polyp/thread-mainloop.h>

G_BEGIN_DECLS

#define GST_TYPE_POLYPSINK \
  (gst_polypsink_get_type())
#define GST_POLYPSINK(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_POLYPSINK,GstPolypSink))
#define GST_POLYPSINK_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_POLYPSINK,GstPolypSinkClass))
#define GST_IS_POLYPSINK(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_POLYPSINK))
#define GST_IS_POLYPSINK_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_POLYPSINK))

typedef struct _GstPolypSink GstPolypSink;
typedef struct _GstPolypSinkClass GstPolypSinkClass;

struct _GstPolypSink {
    GstAudioSink sink;

    gchar *server, *device, *stream_name;

    pa_threaded_mainloop *mainloop;
    
    pa_context *context;
    pa_stream *stream;
    
    pa_sample_spec sample_spec;

    int operation_success;
};

struct _GstPolypSinkClass {
    GstAudioSinkClass parent_class;
};

GType gst_polypsink_get_type(void);

G_END_DECLS

#endif /* __GST_POLYPSINK_H__ */
