#ifndef __GST_POLYPSRC_H__
#define __GST_POLYPSRC_H__

/* $Id: polypsrc.h 28 2006-05-12 00:20:30Z lennart $ */

/***
  This file is part of gst-polyp.
 
  gst-polyp is free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation; either version 2.1 of the
  License, or (at your option) any later version.
 
  gst-polyp is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.
 
  You should have received a copy of the GNU Lesser General Public
  License along with gst-polyp; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
  USA.
***/

#include <gst/gst.h>
#include <gst/audio/gstaudiosrc.h>

#include <polyp/polypaudio.h>
#include <polyp/thread-mainloop.h>

#include "polypmixerctrl.h"

G_BEGIN_DECLS

#define GST_TYPE_POLYPSRC \
  (gst_polypsrc_get_type())
#define GST_POLYPSRC(obj) \
  (G_TYPE_CHECK_INSTANCE_CAST((obj),GST_TYPE_POLYPSRC,GstPolypSrc))
#define GST_POLYPSRC_CLASS(klass) \
  (G_TYPE_CHECK_CLASS_CAST((klass),GST_TYPE_POLYPSRC,GstPolypSrcClass))
#define GST_IS_POLYPSRC(obj) \
  (G_TYPE_CHECK_INSTANCE_TYPE((obj),GST_TYPE_POLYPSRC))
#define GST_IS_POLYPSRC_CLASS(obj) \
  (G_TYPE_CHECK_CLASS_TYPE((klass),GST_TYPE_POLYPSRC))

typedef struct _GstPolypSrc GstPolypSrc;
typedef struct _GstPolypSrcClass GstPolypSrcClass;

struct _GstPolypSrc {
    GstAudioSrc src;

    gchar *server, *device;

    pa_threaded_mainloop *mainloop;
    
    pa_context *context;
    pa_stream *stream;
    
    pa_sample_spec sample_spec;

    const void *read_buffer;
    size_t read_buffer_length;

    GstPolypMixerCtrl *mixer;
};

struct _GstPolypSrcClass {
    GstAudioSrcClass parent_class;
};

GType gst_polypsrc_get_type(void);

G_END_DECLS

#endif /* __GST_POLYPSRC_H__ */
